# synfigapp::Action::ActivepointSimpleAdd Class Reference

`#include <activepointsimpleadd.h>`

Inheritance diagram for synfigapp::Action::ActivepointSimpleAdd:

List of all members.

## Public Member Functions

| ActivepointSimpleAdd ()
virtual bool | set_param (const synfig::String &name, const Param &)
virtual bool | is_ready () const
virtual void | perform ()
| This function will throw an Action::Error() on failure.
virtual void | undo ()
| This function will throw an Action::Error() on failure.

## Static Public Member Functions

static ParamVocab | get_param_vocab ()
static bool | is_candidate (const ParamList &x)

## Constructor & Destructor Documentation

Action::ActivepointSimpleAdd::ActivepointSimpleAdd | ( |  | ) |

References synfigapp::Action::CanvasSpecific::set_dirty().

## Member Function Documentation

Action::ParamVocab Action::ActivepointSimpleAdd::get_param_vocab | ( |  | ) | `[static]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References _, synfigapp::Action::CanvasSpecific::get_param_vocab(), synfigapp::Action::Param::TYPE_ACTIVEPOINT, and synfigapp::Action::Param::TYPE_VALUEDESC.

Referenced by is_candidate().

bool Action::ActivepointSimpleAdd::is_candidate | ( | const ParamList & | x | ) | `[static]`

References synfigapp::Action::candidate_check(), and get_param_vocab().

bool Action::ActivepointSimpleAdd::set_param | ( | const synfig::String & | name,
|  | const Param & | param |
| ) |  |  | `[virtual]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References synfigapp::Action::Param::get_activepoint(), synfigapp::Action::Param::get_type(), synfigapp::Action::Param::get_value_desc(), synfigapp::Action::CanvasSpecific::set_param(), synfigapp::Action::Param::TYPE_ACTIVEPOINT, and synfigapp::Action::Param::TYPE_VALUEDESC.

bool Action::ActivepointSimpleAdd::is_ready | ( |  | ) | const`[virtual]`

Reimplemented from synfigapp::Action::CanvasSpecific.

References synfigapp::Action::CanvasSpecific::is_ready().

void Action::ActivepointSimpleAdd::perform | ( |  | ) | `[virtual]`

This function will throw an Action::Error() on failure.

Implements synfigapp::Action::Base.

void Action::ActivepointSimpleAdd::undo | ( |  | ) | `[virtual]`

This function will throw an Action::Error() on failure.

Implements synfigapp::Action::Undoable.

References _.

The documentation for this class was generated from the following files:

- activepointsimpleadd.h
- activepointsimpleadd.cpp